> ## Documentation Index > Fetch the complete documentation index at: https://docs.restaurant365.com/llms.txt > Use this file to discover all available pages before exploring further. # /public/v1/inventory-counts > Retrieves all inventory counts ## OpenAPI ````json GET /public/v1/inventory-counts { "openapi": "3.0.1", "info": { "title": "R365.PublicApi", "contact": { "name": "R365 Services Team", "email": "r365@restaurant365.com" }, "version": "1.0" }, "security": [ { "Bearer": [] } ], "paths": { "/public/v1/inventory-counts": { "get": { "tags": [ "inventory" ], "description": "Retrieves all inventory counts", "parameters": [ { "name": "modifiedOnStart", "in": "query", "description": "Starting datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnEnd'", "schema": { "type": "string($date-time)" } }, { "name": "modifiedOnEnd", "in": "query", "description": "Ending datetime of 'modifiedOn' range; must be accompanied by 'modifiedOnStart'", "schema": { "type": "string($date-time)" } }, { "name": "dateOfBusinessStart", "in": "query", "description": "Starting date of 'date' range; must be accompanied by 'dateOfBusinessEnd'", "schema": { "type": "string($date)" } }, { "name": "dateOfBusinessEnd", "in": "query", "description": "Ending date of 'date' range; must be accompanied by 'dateOfBusinessStart'", "schema": { "type": "string($date)" } }, { "name": "status", "in": "query", "description": "Filter for 'status' property, one of 'In Progress', 'Completed', or 'Approved'", "schema": { "type": "string" } }, { "name": "locationIds", "in": "query", "description": "Identifier of the location to filter by", "schema": { "type": "string($uuid)" } }, { "name": "includeData", "in": "query", "description": "Modifies the response to include all or a subset of available data; none, one, or more of 'itemDetail', 'varianceSummary'", "schema": { "type": "string" } }, { "name": "pageSize", "in": "query", "description": "Maximum number of top level objects in the response, max value 250; if there are more objects matching the criteria, a link with a continuation token will be included in the response", "schema": { "type": "integer($int32)" } }, { "name": "continuationToken", "in": "query", "description": "", "schema": { "type": "string" } }, { "name": "varianceUofM", "in": "query", "description": "", "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.VarianceUofM" } }, { "name": "includeEodOnly", "in": "query", "description": "", "schema": { "type": "boolean" } } ], "responses": { "200": { "description": "list of inventory count entities", "content": { "text/plain": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Apis.PublicInventoryCountsResponse" } }, "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Apis.PublicInventoryCountsResponse" } }, "text/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Apis.PublicInventoryCountsResponse" } } } }, "403": { "description": "Forbidden", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.ProblemDetails" } } } }, "422": { "description": "Unprocessable Content", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } } } } } } }, "components": { "schemas": { "R365.Inventory.Public.Contracts.InventoryCounts.Models.VarianceUofM": { "type": "string", "description": "Unit of measure used for variance reporting on inventory counts. Allowed values defined by the Inventory service." }, "R365.Inventory.Public.Contracts.InventoryCounts.Apis.PublicInventoryCountsResponse": { "type": "object", "properties": { "items": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountPublicDto" }, "nullable": true, "description": "Collection of public inventory counts records returned in this page." }, "nextLink": { "type": "string", "nullable": true, "description": "URL to retrieve the next page of results, or null when this is the last page." } }, "additionalProperties": false, "description": "A response containing inventory counts." }, "R365.Inventory.Public.Models.ProblemDetails": { "type": "object", "properties": { "type": { "type": "string", "nullable": true }, "title": { "type": "string", "nullable": true }, "status": { "type": "integer", "format": "int32", "nullable": true, "description": "Current status of the problem details." }, "detail": { "type": "string", "nullable": true }, "instance": { "type": "string", "nullable": true } } }, "R365.Inventory.Public.Models.R365Error": { "type": "object", "properties": { "errorCode": { "type": "string", "nullable": true }, "innerError": { "$ref": "#/components/schemas/R365.Inventory.Public.Models.R365Error" } } }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Inventory Count.", "format": "int64" }, "inventoryCountTemplate": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountTemplateReference" }, "location": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Locations.LocationReference" }, "legalEntity": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference" }, "isCountInOpenFiscalPeriod": { "type": "boolean", "description": "True if the count's date is in an open fiscal period." }, "name": { "type": "string", "description": "Name of the Inventory Count.", "nullable": true }, "status": { "type": "string", "description": "The inventory count status.", "nullable": true }, "date": { "type": "string", "description": "Date the inventory count was for.", "format": "date", "nullable": true }, "duration": { "type": "string", "description": "The Duration of the Inventory Count.", "format": "date-span" }, "frequency": { "type": "string", "description": "The inventory count frequency.", "nullable": true }, "isGLPosting": { "type": "boolean", "description": "Indicates whether the Inventory Count Posts to the General Ledger." }, "totalAmount": { "type": "number", "description": "The Total Debits and Credits for the Inventory Count.", "format": "double", "nullable": true }, "createdOn": { "type": "string", "description": "The date the inventory count was created.", "format": "date-time" }, "createdBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who created the inventory count." }, "modifiedOn": { "type": "string", "description": "The time at which the count was last changed.", "format": "date-time", "nullable": true }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the inventory count." }, "completedOn": { "type": "string", "description": "The date the inventory count was completed.", "format": "date-time", "nullable": true }, "completedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who completed the inventory count." }, "approvedOn": { "type": "string", "description": "The time the Inventory Count was Approved.", "format": "date-time", "nullable": true }, "approvedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who approved the inventory count." }, "teamMember": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference" }, "transactionId": { "type": "string", "description": "The TransactionId (GUID) of the record. This does not apply to newer counts.", "format": "uuid", "nullable": true }, "alertsCount": { "type": "integer", "description": "The number of alerts associated with the inventory count.", "format": "int32" }, "isCountScheduled": { "type": "boolean", "description": "Indicates whether the inventory count is scheduled." }, "isTheoGenerated": { "type": "boolean", "description": "Indicates whether the inventory count is theoretical." }, "hasPreviousCountLinks": { "type": "boolean", "description": "The count has previous count identifiers recorded." }, "details": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountDetailPublicDto" }, "description": "The counted items for the Inventory Count.", "nullable": true }, "varianceSummary": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountVarianceSummaryPublicDto" } }, "additionalProperties": false, "description": "An inventory count, indicating actual inventory levels at a specific point in time." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountTemplateReference": { "type": "object", "properties": { "name": { "type": "string", "nullable": true, "description": "Display name of the inventory count template." } }, "additionalProperties": false, "description": "A reference to an inventory count template." }, "R365.Inventory.Shared.Contracts.Locations.LocationReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The id of the location.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the location.", "nullable": true }, "number": { "type": "string", "description": "The location number.", "nullable": true } }, "additionalProperties": false, "description": "Represents a reference to a location." }, "R365.Inventory.Shared.Contracts.LegalEntities.LegalEntityReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the legal entity." }, "name": { "type": "string", "nullable": true, "description": "Display name of the legal entity." } }, "additionalProperties": false, "description": "A reference to a legal entity." }, "R365.Inventory.Shared.Contracts.Users.UserReference": { "type": "object", "properties": { "id": { "type": "string", "description": "The unique identifier of the user.", "format": "uuid" }, "name": { "type": "string", "description": "The name of the user.", "nullable": true } }, "additionalProperties": false, "description": "A reference to a user." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountDetailPublicDto": { "type": "object", "properties": { "id": { "type": "integer", "description": "The unique identifier for the Inventory Count Detail.", "format": "int64" }, "name": { "type": "string", "description": "The Name for the Inventory Count Detail.", "nullable": true }, "sortIndex": { "type": "integer", "description": "The Sort Order for the Item Within the Storage Location.", "format": "int64" }, "storageLocation": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountStorageLocationReference" }, "inventoryCountTemplateDetailId": { "type": "integer", "description": "The Id for the Inventory Count Template Detail Used to Create this Detail Record.", "format": "int64", "nullable": true }, "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "costAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "inventoryAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "unitOfMeasure1": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "unitOfMeasure2": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "unitOfMeasure3": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "quantity1": { "type": "number", "description": "Quantity associated with Unit Of Measure 1.", "format": "double", "nullable": true }, "quantity2": { "type": "number", "description": "Quantity associated with Unit Of Measure 2.", "format": "double", "nullable": true }, "quantity3": { "type": "number", "description": "Quantity associated with Unit Of Measure 3.", "format": "double", "nullable": true }, "itemUofM1Cost": { "type": "number", "description": "The Cost of the Item for the Unit of Measure 1.", "format": "double" }, "uofM2QtyMultiplier": { "type": "number", "description": "The Quantity Conversion factor from UofM2 to UofM1.", "format": "double" }, "uofM3QtyMultiplier": { "type": "number", "description": "The Quantity Conversion factor from UofM3 to UofM1.", "format": "double" }, "previousQuantity": { "type": "number", "description": "DEPRECATED.", "format": "double" }, "totalQuantity": { "type": "number", "description": "The Total quantity per detail (item - storageLocation)", "format": "double" }, "previousItemUofM1Cost": { "type": "number", "description": "DEPRECATED.", "format": "double" }, "isCounted": { "type": "boolean", "description": "has the item been counted." }, "totalAmount": { "type": "number", "description": "The Total Amount per detail (item cost * total quantity)", "format": "double" }, "previousAmount": { "type": "number", "description": "DEPRECATED.", "format": "double" }, "adjustment": { "type": "number", "description": "DEPRECATED.", "format": "double" }, "modifiedOn": { "type": "string", "description": "Modified on date.", "format": "date-time" }, "modifiedBy": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Users.UserReference", "description": "User who last modified the inventory count detail." }, "alert": { "type": "string", "description": "A row level alert.", "nullable": true } }, "additionalProperties": false, "description": "Represents an inventory count detail" }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountVarianceSummaryPublicDto": { "type": "object", "properties": { "isActualUsageReviewCompleted": { "type": "boolean", "description": "Indicates if the actual usage review has been completed." }, "isTheoreticalUsageReviewCompleted": { "type": "boolean", "description": "Indicates if the theoretical usage review has been completed." }, "itemSummaries": { "type": "array", "items": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountItemVarianceSummaryPublicDto" }, "description": "A collection of item variance summaries for this count.", "nullable": true } }, "additionalProperties": false, "description": "A usage variance summary for an inventory count." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountStorageLocationReference": { "type": "object", "properties": { "name": { "type": "string", "nullable": true, "description": "Display name of the inventory count storage location." } }, "additionalProperties": false, "description": "A reference to an inventory count storage location." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the public item." }, "name": { "type": "string", "nullable": true, "description": "Display name of the public item." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the public item." }, "itemType": { "type": "string", "nullable": true } }, "additionalProperties": false, "description": "A reference to an item." }, "R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the general ledger account." }, "name": { "type": "string", "nullable": true, "description": "Display name of the general ledger account." }, "number": { "type": "string", "nullable": true, "description": "Number assigned to the general ledger account." } }, "additionalProperties": false, "description": "A reference to a General Ledger Account." }, "R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the unit of measure." }, "name": { "type": "string", "nullable": true, "description": "Display name of the unit of measure." } }, "additionalProperties": false, "description": "A reference to a unit of measure." }, "R365.Inventory.Public.Contracts.InventoryCounts.Models.InventoryCountItemVarianceSummaryPublicDto": { "type": "object", "properties": { "item": { "$ref": "#/components/schemas/R365.Inventory.Public.Contracts.InventoryCounts.Models.PublicItemReference" }, "uofM": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.UnitsOfMeasure.UnitOfMeasureReference" }, "costAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "inventoryAccount": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Accounting.GeneralLedgerAccountReference" }, "itemCategory1": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory2": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "itemCategory3": { "$ref": "#/components/schemas/R365.Inventory.Shared.Contracts.Items.ItemCategoryReference" }, "quantitiesFromDate": { "type": "string", "description": "Starting Date of Quantity Transaction Range.", "format": "date" }, "dateLastCounted": { "type": "string", "description": "Previous Count Date.", "format": "date", "nullable": true }, "beginningQuantity": { "type": "number", "description": "Previous Count Quantity.", "format": "double", "nullable": true }, "beginningAmount": { "type": "number", "description": "Previous Count Amount.", "format": "double", "nullable": true }, "purchaseQuantity": { "type": "number", "description": "Quantity Coming from Purchasing Transactions.", "format": "double" }, "purchaseAmount": { "type": "number", "description": "Amount of Purchasing Transactions.", "format": "double" }, "transferQuantity": { "type": "number", "description": "Quantity Coming from Transfer Transactions.", "format": "double" }, "transferAmount": { "type": "number", "description": "Amount of Transfer Transactions.", "format": "double" }, "endQuantity": { "type": "number", "description": "Current Count Quantity.", "format": "double" }, "endAmount": { "type": "number", "description": "Current Count Amount.", "format": "double" }, "endCost": { "type": "number", "description": "Current Count Cost.", "format": "double" }, "actualUsage": { "type": "number", "description": "Actual Usage.", "format": "double" }, "actualUsageAmount": { "type": "number", "description": "The Amount of Actual Usage.", "format": "double" }, "wasteUsage": { "type": "number", "description": "Waste Log Usage.", "format": "double" }, "wasteUsageAmount": { "type": "number", "description": "The Amount of Waste Usage.", "format": "double" }, "theoreticalUsage": { "type": "number", "description": "Theoretical Usage.", "format": "double" }, "theoreticalUsageAmount": { "type": "number", "description": "The Amount of Theoretical Usage.", "format": "double" }, "variance": { "type": "number", "description": "Variance Between Actual and Theoretical.", "format": "double" }, "varianceAmount": { "type": "number", "description": "The Amount of Variance between Actual and Theoretical.", "format": "double" }, "unexplainedVariance": { "type": "number", "description": "Variance with No Explaining Transactions.", "format": "double" }, "unexplainedVarianceAmount": { "type": "number", "description": "The Amount of Variance between Actual and Theoretical.", "format": "double" }, "efficiency": { "type": "number", "description": "Item Usage Efficiency.", "format": "double", "nullable": true }, "isAboveTheoreticalThreshold": { "type": "boolean", "description": "Indicates whether Item is Above Allowed Efficiency Threshold or Not." } }, "additionalProperties": false, "description": "A summary of the usage variance for an item in an inventory count." }, "R365.Inventory.Shared.Contracts.Items.ItemCategoryReference": { "type": "object", "properties": { "id": { "type": "string", "format": "uuid", "description": "Unique identifier of the item category." }, "name": { "type": "string", "nullable": true, "description": "Display name of the item category." } }, "additionalProperties": false, "description": "A reference to an item category." } }, "securitySchemes": { "Bearer": { "type": "http", "description": "Put **_ONLY_** your JWT Bearer token on textbox below!", "scheme": "Bearer", "bearerFormat": "JWT" } } } } ````